////////////////////////////////////////////////////////////////////////////
// CTaEditHScroll クラスのインプリメンテーション
//
////////////////////////////////////////////////////////////////////////////

#include "TaEditHScroll.h"

////////////////////////////////////////////////////////////////////////////
// 構築/破棄
////////////////////////////////////////////////////////////////////////////

CTaEditHScroll::CTaEditHScroll()
{

}

CTaEditHScroll::~CTaEditHScroll()
{

}

////////////////////////////////////////////////////////////////////////////
// メソッド
////////////////////////////////////////////////////////////////////////////

void CTaEditHScroll::OnCreate( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::m_Scr = CHScroll::m_HScroll;
	CScrollMgr::OnCreate( argWgt, user_data );
}

void CTaEditHScroll::OnDecrement( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnDecrement( argWgt, user_data );
}

void CTaEditHScroll::OnIncrement( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnIncrement( argWgt, user_data );
}

void CTaEditHScroll::OnPageDown( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnPageDown( argWgt, user_data );
}

void CTaEditHScroll::OnPageUp( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnPageUp( argWgt, user_data );
}

void CTaEditHScroll::OnDrag( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnDrag( argWgt, user_data );
}

void CTaEditHScroll::ToBottom( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::ToBottom( argWgt, user_data );
}

void CTaEditHScroll::ToTop( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::ToTop( argWgt, user_data );
}

void CTaEditHScroll::OnChangeValue( Widget argWgt, XtPointer user_data )
{
	CScrollMgr::OnChangeValue( argWgt, user_data );
}

